jQuery(document).ready( function($) {
	"use strict";

	$(document).on('click', '.api-key-validate', function (e) {
		e.preventDefault();
		$('.wpjb-validating-key').show();
		$('.wpjb-valid-key-message').hide();
		$('.wpjb-invalid-key-message').hide();
		var nonce = $(this).attr('data-nonce');
		var key = $('.wpjb-gmaps-api-key').val();
		$.ajax({
			method: "POST",
			url: wpjb_ajax_vars.ajax_url,
			data: {
				'action': 'wpjb_test_api_key',
				'key': key,
				'wpjb_nonce': nonce,
			}
		})
		.done(function( response ) {
			if ( response ) {
				$('.wpjb-validating-key').hide();
				if ( response.success ) {
					if ( 1 == response.valid ) {
						$('.wpjb-valid-key-message').show();
						$('.wpjb-invalid-key-message').hide();
					} else {
						$('.wpjb-valid-key-message').hide();
						$('.wpjb-invalid-key-message').show();
						if ( response.message ) {
							alert(response.message)
						}
					}
				} else {
					alert('Something went wrong');
				}
			}
		});

	})

})
