jQuery(document).ready( function($) {
	"use strict";

	$(document).on('click', '.wpjb-form-row-delete-button', function (e) {
		e.preventDefault();
		$(this).closest('.wpjb-row').remove();
	})

	$(document).on('click', '.wpjb-form-add-cf', function (e) {
		e.preventDefault();

		switch ($('#wpjb-form-add-cf-type').val()) {
			case 'text':
				var placeholder = $('#wpjb-meta-placeholder-text').html();
				placeholder = placeholder.replace('{{field_type}}', 'text');
				placeholder = placeholder.replace('{{field_name}}', 'Text');
				$('.wpjb-cf-holder').append( placeholder );
				break;
			case 'email':
				var placeholder = $('#wpjb-meta-placeholder-text').html();
				placeholder = placeholder.replace('{{field_type}}', 'email');
				placeholder = placeholder.replace('{{field_name}}', 'Email');
				$('.wpjb-cf-holder').append( placeholder );
				break;
			case 'textarea':
				var placeholder = $('#wpjb-meta-placeholder-text').html();
				placeholder = placeholder.replace('{{field_type}}', 'textarea');
				placeholder = placeholder.replace('{{field_name}}', 'Textarea');
				$('.wpjb-cf-holder').append( placeholder );
				break;
			case 'select':
				var placeholder = $('#wpjb-meta-placeholder-select').html();
				placeholder = placeholder.replace('{{field_type}}', 'select');
				placeholder = placeholder.replace('{{field_name}}', 'Select');
				$('.wpjb-cf-holder').append( placeholder );
				break;
			case 'checkbox':
				var placeholder = $('#wpjb-meta-placeholder-select').html();
				placeholder = placeholder.replace('{{field_type}}', 'checkbox');
				placeholder = placeholder.replace('{{field_name}}', 'Checkbox');
				$('.wpjb-cf-holder').append( placeholder );
				break;
			case 'radio':
				var placeholder = $('#wpjb-meta-placeholder-select').html();
				placeholder = placeholder.replace('{{field_type}}', 'radio');
				placeholder = placeholder.replace('{{field_name}}', 'Radio');
				$('.wpjb-cf-holder').append( placeholder );
				break;
			default:

		}
	})
})
