<?php
/**
 *
 * Backend view
 *
 * @package wpjb
 * @subpackage _views
 * @since WP Jobs Board 1.0
 */

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

?>

<div class="wpjb-login" id="wpjb-login">
	<div class="wpjb-messages">
		<div class="wpjb-message">
			<?php esc_html_e( 'Howdy,', 'wp-jobs-board' ); ?>&nbsp;<?php echo esc_html( $user->display_name ); ?>
		</div>
	</div>
	<form action="" method="POST" class="<?php echo is_wp_error( $user ) ? 'has-errors' : ''; ?>">
		<input type="hidden" name="action" value="logout" />
		<button type="submit" class="btn btn-idfe-gray w-100"><?php esc_html_e( 'Logout', 'wp-jobs-board' ); ?></button>
	</form>
</div>
